> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.claw-ops.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.claw-ops.com/_mcp/server.

# 배치에 수신자 추가

POST https://api.claw-ops.com/v1/accounts/{accountId}/call-batches/{batchId}/tasks
Content-Type: application/json

진행 중인 배치에 수신자를 더합니다. 종료된 배치에는 추가할 수 없습니다.

Reference: https://docs.claw-ops.com/api-레퍼런스/claw-ops-api/call-batches/add-call-batch-tasks

## Authentication

- `Authorization` header (bearer token, required) — API Key를 Bearer 토큰으로 전달

## Request

### Path parameters

- `accountId` (string, required)
- `batchId` (string, required)

### Body (application/json)

- `Tasks` (list of object, required) — 수신자 목록. 건수 제한 없음 — 상한은 요청 본문 크기(10MB, 초과 시 413).
  - `To` (string, required)
  - `Variables` (map from string to any, optional)

## Response

### 200

추가 성공

- `added` (integer, optional)

## Examples

**Request**

```json
{
  "Tasks": [
    {
      "To": "01012345678",
      "Variables": {
        "customer_name": "홍길동"
      }
    }
  ]
}
```

**Response**

```json
{
  "added": 1
}
```

**SDK Code**

```python CallBatches_addCallBatchTasks_example
import requests

url = "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks"

payload = { "Tasks": [
        {
            "To": "01012345678",
            "Variables": { "customer_name": "홍길동" }
        }
    ] }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript CallBatches_addCallBatchTasks_example
const url = 'https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"Tasks":[{"To":"01012345678","Variables":{"customer_name":"홍길동"}}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go CallBatches_addCallBatchTasks_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks"

	payload := strings.NewReader("{\n  \"Tasks\": [\n    {\n      \"To\": \"01012345678\",\n      \"Variables\": {\n        \"customer_name\": \"홍길동\"\n      }\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby CallBatches_addCallBatchTasks_example
require 'uri'
require 'net/http'

url = URI("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"Tasks\": [\n    {\n      \"To\": \"01012345678\",\n      \"Variables\": {\n        \"customer_name\": \"홍길동\"\n      }\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java CallBatches_addCallBatchTasks_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"Tasks\": [\n    {\n      \"To\": \"01012345678\",\n      \"Variables\": {\n        \"customer_name\": \"홍길동\"\n      }\n    }\n  ]\n}")
  .asString();
```

```php CallBatches_addCallBatchTasks_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks', [
  'body' => '{
  "Tasks": [
    {
      "To": "01012345678",
      "Variables": {
        "customer_name": "홍길동"
      }
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp CallBatches_addCallBatchTasks_example
using RestSharp;

var client = new RestClient("https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"Tasks\": [\n    {\n      \"To\": \"01012345678\",\n      \"Variables\": {\n        \"customer_name\": \"홍길동\"\n      }\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift CallBatches_addCallBatchTasks_example
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["Tasks": [
    [
      "To": "01012345678",
      "Variables": ["customer_name": "홍길동"]
    ]
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.claw-ops.com/v1/accounts/AC1a2b3c4d/call-batches/clx1a2b3c4d5e/tasks")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```